### Method

# Adw SqueezerPageset_enabled

deprecated: 1.4

#### Declaration [src]

    void
    adw_squeezer_page_set_enabled (
      AdwSqueezerPage* self,
      gboolean enabled
    )

#### Description [src]

Sets whether `self` is enabled.

If a child is disabled, it will be ignored when looking for the child fitting the available size best.

This allows to programmatically and prematurely hide a child even if it fits in the available space.

This can be used e.g. to ensure a certain child is hidden below a certain window width, or any other constraint you find suitable.

Deprecated since: 1.4

See the migration guide

Sets property | `Adw.SqueezerPage:enabled`

#### Parameters

`enabled`

  Type: `gboolean`

  Whether `self` is enabled.